Skip to main content
GET
Get call recording

Authorizations

Authorization
string
header
required

Enter your API Key (sk_live_xxx or sk_test_xxx)

Path Parameters

id
string<uuid>
required

Call UUID

Response

The call recording metadata

id
string
required

Unique identifier of the recording

Example:

"123e4567-e89b-12d3-a456-426614174000"

duration
number
required

Duration of the recording in seconds

Example:

245

startTime
string<date-time>
required

Start time of the recording

Example:

"2024-01-15T10:00:00Z"

hasTranscription
boolean
required

Indicates if a transcription exists for this recording

Example:

true

transcriptionStatus
enum<string> | null
required

Status of the transcription if it exists

Available options:
PENDING,
IN_PROGRESS,
FAILED,
COMPLETED
Example:

"COMPLETED"

audioUrl
string
required

Absolute URL of the audio stream of this recording (GET /v1/calls/{id}/recording/audio). Call it with the same API key (Authorization: Bearer sk_live_…): it is not a public or pre-signed link. Supports ?format=wav and ?download=true.

Example:

"https://api-public.skipcall.app/v1/calls/123e4567-e89b-12d3-a456-426614174000/recording/audio"